Name:           perl-Proc-ProcessTable
Version:        0.44
Release:        3%{?dist}
Summary:        Perl extension to access the unix process table
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Proc-ProcessTable/
Source0:        http://www.cpan.org/modules/by-module/Proc/Proc-ProcessTable-%{version}.tar.gz
Patch0:		perl-Proc-ProcessTable-ARG_MAX.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl(ExtUtils::MakeMaker)

%description
Perl interface to the unix process table.

%prep
%setup -q -n Proc-ProcessTable-%{version}
%patch0 -p1

chmod 644 contrib/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes PORTING README README.linux TODO contrib/pswait
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Proc*
%{_mandir}/man3/*

%changelog
* Thu Mar 05 2009 Caolán McNamara <caolanm@redhat.com> - 0.44-3
- defuzz patches to build

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug  1 2008 Andreas Thienemnan <athienem@redhat.com> 0.44-1
- Update to 0.44

* Sat Apr  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.42-1
- update to 0.42
- patch to define ARG_MAX (since for some unknown reason, it isn't defined anymore)

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.41-4
- rebuild for new perl (again)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.41-3
- Autorebuild for GCC 4.3

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.41-2
- rebuild for new perl

* Thu Mar 15 2007 Andreas Thienemann <andreas@bawue.net> 0.41-1
- Specfile autogenerated by cpanspec 1.69.1.
- Cleaned up for FE
